--- title: "List parent workflows" slug: "list-parent-workflows" updated: 2024-11-05T13:31:41Z published: 2024-11-05T13:31:41Z canonical: "developers.torq.io/list-parent-workflows" --- > ## Documentation Index > Fetch the complete documentation index at: https://developers.torq.io/llms.txt > Use this file to discover all available pages before exploring further. # List parent workflows Get/v1alpha/workflow/{workflow_id}/parents Returns a list of the published parent workflows for the specified workflow. Parent workflows are using the specified workflow as a nested. SecurityHTTPType bearer Path parametersworkflow_idstring (uuid) Required The ID of the workflow for which to retrieve the list of parent workflows. To get a list of workflow IDs make a `List workflows` request. Query parameterspage_sizeinteger (int32) The maximum number of workflows to retrieve per page. Default is 100. Maximum is 500. If the number of results exceeds the defined page size, use [pagination](https://learn.torq.io/apidocs/pagination) to retrieve the next page of results. Default100 page_tokenstring The token received from a previous `List parent workflows` request. Provide this to retrieve the next page of results. Responses200 A successful response. Expand Allobject parent_workflows Array of object (workflowsv1alphaWorkflow) The list of parent workflows. object idstring (uuid) The unique identifier of the workflow. Exampled7639fb8-8037-4ce2-80e9-c50bc3345c5a namestring The workflow name. ExampleMy workflow created_atstring (date-time) The timestamp of when the workflow was created. Example2022-03-09T08:40:18Z updated_atstring (date-time) The timestamp of when the workflow was last modified. Example2022-03-09T08:40:18Z tags Array of object (workflowsv1alphaTag) The workflow tags. This output will only be available if the workflow has tags. object namestring The tag name. ExampleSecOps current_revision_idstring (uuid) The ID of the current revision of the workflow. Can be either a draft revision or a published revision. Example74e19393-3e94-48d2-8b60-26f2d2665942 published_revision_idstring (uuid) The ID of the current published revision of the workflow. This output will only be available if the workflow is published. Example74e19393-3e94-48d2-8b60-26f2d2665943 last_execution_infoobject (v1alphaExecutionInfo) execution_idstring (uuid) The unique identifier of the execution. Example74e19393-3e94-48d2-8b60-26f2d2665942 executed_atstring (date-time) The timestamp when the workflow was last executed. Example2022-03-09T08:40:18Z execution_user_idstring The email of the user who triggered the execution. This output will only be available if the workflow was triggered on demand. Exampleuser@company.com execution_integration_idstring (uuid) The ID of the integration that triggered the execution. This output will only be available if the workflow was triggered by an integration. Example4d150d78-413d-4619-8100-cad1db5c5e33 urlstring The URL to the workflow in Torq. Examplehttps://app.torq.io/workflow/d7639fb8-8037-4ce2-80e9-c50bc3345c5a descriptionstring The workflow description (part of the workflow settings). ExampleEmail protection workflow sharing_dataobject (v1alphaSharingData) directionstring - not_shared: The resource isn't shared. - incoming: The resource is shared with the workspace (incoming). - outgoing: The resource is shared from the workspace (outgoing). Valid values[ "not_shared", "incoming", "outgoing" ]Default"not_shared" workspace_ids Array of string If the resource is shared with the workspace (incoming) this field will hold the source workspace ID. Otherwise, if the resource is shared from the workspace (outgoing), this field will hold the IDs of the destination workspaces. string next_page_tokenstring When a token is returned it indicates there is another page of results to retrieve. Pass this token in the page_token parameter in a subsequent `List parent workflows` request to retrieve the next page of results. If this field isn't returned it means there are no additional pages to retrieve. 401 Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token. object 403 You don't have permission to access this resource. object default An unexpected error response. Expand Allobject codeinteger (int32) messagestring details Array of object (protobufAny) object `Any` contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message. Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type. Example 1: Pack and unpack a message in C++. Foo foo = ...; Any any; any.PackFrom(foo); ... if (any.UnpackTo(&foo)) Example 2: Pack and unpack a message in Java. Foo foo = ...; Any any = Any.pack(foo); ... if (any.is(Foo.class)) // or ... if (any.isSameTypeAs(Foo.getDefaultInstance())) Example 3: Pack and unpack a message in Python. foo = Foo(...) any = Any() any.Pack(foo) ... if any.Is(Foo.DESCRIPTOR): any.Unpack(foo) ... Example 4: Pack and unpack a message in Go foo := &pb.Foo any, err := anypb.New(foo) if err != nil ... foo := &pb.Foo if err := any.UnmarshalTo(foo); err != nil The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z". # JSON The JSON representation of an `Any` value uses the regular representation of the deserialized, embedded message, with an additional field `@type` which contains the type URL. Example: package google.profile; message Person { "@type": "type.googleapis.com/google.profile.Person", "firstName": , "lastName": } If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field `value` which holds the custom JSON in addition to the `@type` field. Example (for message [google.protobuf.Duration][]): { "@type": "type.googleapis.com/google.protobuf.Duration", "value": "1.212s" } @typestring A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one "/" character. The last segment of the URL's path must represent the fully qualified name of the type (as in `path/google.protobuf.Duration`). The name should be in a canonical form (e.g., leading "." is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme `http`, `https`, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: - If no scheme is provided, `https` is assumed. - An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. - Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than `http`, `https` (or the empty scheme) might be used with implementation specific semantics. property*object additionalProperties